List function revisions
Lists a function’s ship history newest first, including per-ship failure stage and reason when recorded.
GET
/
compute
/
funcs
/
{id}
/
revisions
List function revisions
curl --request GET \
--url https://api.telnyx.com/v2/compute/funcs/{id}/revisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/compute/funcs/{id}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/compute/funcs/{id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"total_pages": 1,
"total_results": 2,
"page_number": 1,
"page_size": 10
},
"data": [
{
"record_type": "compute_func_revision",
"revision_id": "rev-01998f0a",
"image": "registry.example/function@sha256:abc",
"commit_sha": "3f8a1c2",
"shipped_by": "user@example.com",
"shipped_at": "2026-09-09T15:45:00.000Z",
"build_status": "build_ok",
"deploy_status": "deploy_ok",
"active": true,
"build_ok_at": "2026-09-09T15:44:41.000Z"
},
{
"record_type": "compute_func_revision",
"revision_id": "",
"image": "",
"commit_sha": "0d9c123",
"shipped_by": "user@example.com",
"shipped_at": "2026-09-09T14:30:00.000Z",
"build_status": "build_failed",
"deploy_status": "pending",
"active": false,
"failure_stage": "build",
"failure_reason": "TypeScript compilation failed."
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Function ID
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 250Was this page helpful?
List function revisions
